Xu Xiaodong avatar Xu Xiaodong committed b3795b2

fix some errors

Comments (0)

Files changed (2)

     system "sudo dpkg -i $deb_path";
   }
 
-  system "sudo rm /lib/udev/rules.d/usbmount.rules";
+  system "sudo rm /lib/udev/rules.d/usbmount.rules 2> /dev/null";
   system "sudo cp $RealBin/85-usbmount.rules /etc/udev/rules.d";
   system "sudo cp $RealBin/usbmount.conf /etc/usbmount";
   system "sudo cp $RealBin/usbmount /usr/share/usbmount";
 # Log a string via the syslog facility.
 log()
 {
-    if [ $1 != debug ] || expr "$VERBOSE" : "[yY]" > /dev/null; then
-	logger -p user.$1 -t "usbmount[$$]" -- "$2"
-    fi
+  if [ $1 != debug ] || expr "$VERBOSE" : "[yY]" > /dev/null; then
+    logger -p user.$1 -t "usbmount[$$]" -- "$2"
+  fi
 }
 
 
 # parameter.
 in_list()
 {
-    for v in $2; do
-	[ "$1" != "$v" ] || return 0
-    done
-    return 1
+  for v in $2; do
+    [ "$1" != "$v" ] || return 0
+  done
+  return 1
 }
 
 
 DESC=/home/xiaodong
 DATE=$(date +'%F %T')
 LOG=/var/log/usbcopy.log
-# Add: end
+# Add: copy usb data into hard drive : end
 
 if [ -r /etc/usbmount/usbmount.conf ]; then
-    . /etc/usbmount/usbmount.conf
-    log debug "loaded usbmount configurations"
+  . /etc/usbmount/usbmount.conf
+  log debug "loaded usbmount configurations"
 fi
 
 if [ "${ENABLED:-1}" -eq 0 ]; then
-    log info "usbmount is disabled, see /etc/usbmount/usbmount.conf"
-    exit 0
+  log info "usbmount is disabled, see /etc/usbmount/usbmount.conf"
+  exit 0
 fi
 
 if [ ! -x /sbin/blkid ]; then
-    log err "cannot execute /sbin/blkid"
-    exit 1
+  log err "cannot execute /sbin/blkid"
+  exit 1
 fi
 
 # Per Policy 9.3.2, directories under /var/run have to be created
 # after every reboot.
 if [ ! -e /var/run/usbmount ]; then
-    mkdir -p /var/run/usbmount
-    log debug "creating /var/run/usbmount directory"
+  mkdir -p /var/run/usbmount
+  log debug "creating /var/run/usbmount directory"
 fi
 
 umask 022
 
 if [ "$1" = add ]; then
 
-    # Acquire lock.
-    log debug "trying to acquire lock /var/run/usbmount/.mount.lock"
-    lockfile-create --retry 3 /var/run/usbmount/.mount || \
-	{ log err "cannot acquire lock /var/run/usbmount/.mount.lock"; exit 1; }
+  # Acquire lock.
+  log debug "trying to acquire lock /var/run/usbmount/.mount.lock"
+  lockfile-create --retry 3 /var/run/usbmount/.mount || \
+    { log err "cannot acquire lock /var/run/usbmount/.mount.lock"; exit 1; }
     trap '( lockfile-remove /var/run/usbmount/.mount )' 0
     log debug "acquired lock /var/run/usbmount/.mount.lock"
 
     USAGE=$(echo "$DEVINFO"  | sed 's/.*USAGE="\([^"]*\)".*/\1/g; s/[[:blank:]]*//g;')
 
     if ! echo $USAGE | egrep -q "(filesystem|disklabel)"; then
-	log info "$DEVNAME does not contain a filesystem or disklabel"
-	exit 1
+      log info "$DEVNAME does not contain a filesystem or disklabel"
+      exit 1
     fi
 
     # Try to use specifications in /etc/fstab first.
     if egrep -q "^[[:blank:]]*$DEVNAME" /etc/fstab; then
-	log info "executing command: mount $DEVNAME"
-	mount $DEVNAME || log err "mount by DEVNAME wan't successful; return code $?"
+      log info "executing command: mount $DEVNAME"
+      mount $DEVNAME || log err "mount by DEVNAME wan't successful; return code $?"
 
     elif grep -q "^[[:blank:]]*UUID=$UUID" /etc/fstab; then
-        log info "executing command: mount -U $UUID"
-	mount -U $UUID || log err "mount by UUID wan't successful; return code $?"
+      log info "executing command: mount -U $UUID"
+      mount -U $UUID || log err "mount by UUID wan't successful; return code $?"
 
     else
-	log debug "$DEVNAME contains filesystem type $FSTYPE"
+      log debug "$DEVNAME contains filesystem type $FSTYPE"
 
-	fstype=$FSTYPE
-	# Test if the filesystem type is in the list of filesystem
-	# types to mount.
-	if in_list "$fstype" "$FILESYSTEMS"; then
-	    # Search an available mountpoint.
-	    for v in $MOUNTPOINTS; do
-		if [ -d "$v" ] && ! grep -q "^[^ ][^ ]*  *$v " /proc/mounts; then
-		    mountpoint="$v"
-		    log debug "mountpoint $mountpoint is available for $DEVNAME"
-		    break
-		fi
-	    done
-	    if [ -n "$mountpoint" ]; then
-		# Determine mount options.
-		options=
-		for v in $FS_MOUNTOPTIONS; do
-		    if expr "$v" : "-fstype=$fstype,."; then
-			options="$(echo "$v" | sed 's/^[^,]*,//')"
-			break
-		    fi
-		done
-		if [ -n "$MOUNTOPTIONS" ]; then
-		    options="$MOUNTOPTIONS${options:+,$options}"
-		fi
+      fstype=$FSTYPE
+      # Test if the filesystem type is in the list of filesystem
+      # types to mount.
+      if in_list "$fstype" "$FILESYSTEMS"; then
+        # Search an available mountpoint.
+        for v in $MOUNTPOINTS; do
+          if [ -d "$v" ] && ! grep -q "^[^ ][^ ]*  *$v " /proc/mounts; then
+            mountpoint="$v"
+            log debug "mountpoint $mountpoint is available for $DEVNAME"
+            break
+          fi
+        done
+        if [ -n "$mountpoint" ]; then
+          # Determine mount options.
+          options=
+          for v in $FS_MOUNTOPTIONS; do
+            if expr "$v" : "-fstype=$fstype,."; then
+              options="$(echo "$v" | sed 's/^[^,]*,//')"
+              break
+            fi
+          done
+          if [ -n "$MOUNTOPTIONS" ]; then
+            options="$MOUNTOPTIONS${options:+,$options}"
+          fi
 
-		# Mount the filesystem.
-		log info "executing command: mount -t$fstype ${options:+-o$options} $DEVNAME $mountpoint"
-		mount "-t$fstype" "${options:+-o$options}" "$DEVNAME" "$mountpoint"
+          # Mount the filesystem.
+          log info "executing command: mount -t$fstype ${options:+-o$options} $DEVNAME $mountpoint"
+          mount "-t$fstype" "${options:+-o$options}" "$DEVNAME" "$mountpoint"
 
+          # Add: copy usb data into hard drive : start
+          cp -fpr "$SRC" "$DESC" 2> /dev/null
 
-		# Add: copy usb data into hard drive : start
-		cp -fpr $SRC $DESC 2> /dev/null
+          if [ "$?" -eq 0 ]; then
+            echo "[$DATE] 复制 $SRC 到 $DESC [ OK ]" >> "$LOG"
+          else
+            echo "[$DATE] 复制 $SRC 到 $DESC [FAIL]" >> "$LOG"
+          fi
+          # Add: copy usb data into hard drive : end
 
-		if [ "$?" -eq 0 ]; then
-		    echo "[$DATE] 复制 $SRC 到 $DESC [ OK ]" >> $LOG
-	    	else
-	    	    echo "[$DATE] 复制 $SRC 到 $DESC [FAIL]" >> $LOG
-		fi
-		# Add: end
+          # Determine vendor and model.
+          vendor=
+          if [ -r "/sys$DEVPATH/device/vendor" ]; then
+            vendor="`cat \"/sys$DEVPATH/device/vendor\"`"
+          elif [ -r "/sys$DEVPATH/../device/vendor" ]; then
+            vendor="`cat \"/sys$DEVPATH/../device/vendor\"`"
+          elif [ -r "/sys$DEVPATH/device/../manufacturer" ]; then
+            vendor="`cat \"/sys$DEVPATH/device/../manufacturer\"`"
+          elif [ -r "/sys$DEVPATH/../device/../manufacturer" ]; then
+            vendor="`cat \"/sys$DEVPATH/../device/../manufacturer\"`"
+          fi
+          vendor="$(echo "$vendor" | sed 's/^[[:blank:]]\+//; s/[[:blank:]]\+$//')"
 
-		# Determine vendor and model.
-		vendor=
-		if [ -r "/sys$DEVPATH/device/vendor" ]; then
-		    vendor="`cat \"/sys$DEVPATH/device/vendor\"`"
-		elif [ -r "/sys$DEVPATH/../device/vendor" ]; then
-		    vendor="`cat \"/sys$DEVPATH/../device/vendor\"`"
-		elif [ -r "/sys$DEVPATH/device/../manufacturer" ]; then
-		    vendor="`cat \"/sys$DEVPATH/device/../manufacturer\"`"
-		elif [ -r "/sys$DEVPATH/../device/../manufacturer" ]; then
-		    vendor="`cat \"/sys$DEVPATH/../device/../manufacturer\"`"
-		fi
-		vendor="$(echo "$vendor" | sed 's/^[[:blank:]]\+//; s/[[:blank:]]\+$//')"
+          model=
+          if [ -r "/sys$DEVPATH/device/model" ]; then
+            model="`cat \"/sys$DEVPATH/device/model\"`"
+          elif [ -r "/sys$DEVPATH/../device/model" ]; then
+            model="`cat \"/sys$DEVPATH/../device/model\"`"
+          elif [ -r "/sys$DEVPATH/device/../product" ]; then
+            model="`cat \"/sys$DEVPATH/device/../product\"`"
+          elif [ -r "/sys$DEVPATH/../device/../product" ]; then
+            model="`cat \"/sys$DEVPATH/../device/../product\"`"
+          fi
+          model="$(echo "$model" | sed 's/^[[:blank:]]\+//; s/[[:blank:]]\+$//')"
 
-		model=
-		if [ -r "/sys$DEVPATH/device/model" ]; then
-		    model="`cat \"/sys$DEVPATH/device/model\"`"
-		elif [ -r "/sys$DEVPATH/../device/model" ]; then
-		    model="`cat \"/sys$DEVPATH/../device/model\"`"
-		elif [ -r "/sys$DEVPATH/device/../product" ]; then
-		    model="`cat \"/sys$DEVPATH/device/../product\"`"
-		elif [ -r "/sys$DEVPATH/../device/../product" ]; then
-		    model="`cat \"/sys$DEVPATH/../device/../product\"`"
-		fi
-		model="$(echo "$model" | sed 's/^[[:blank:]]\+//; s/[[:blank:]]\+$//')"
-
-		# Run hook scripts; ignore errors.
-		export UM_DEVICE="$DEVNAME"
-		export UM_MOUNTPOINT="$mountpoint"
-		export UM_FILESYSTEM="$fstype"
-		export UM_MOUNTOPTIONS="$options"
-		export UM_VENDOR="$vendor"
-		export UM_MODEL="$model"
-		log info "executing command: run-parts /etc/usbmount/mount.d"
-		run-parts /etc/usbmount/mount.d || :
-	    else
-		# No suitable mount point found.
-		log warning "no mountpoint found for $DEVNAME"
-		exit 1
-	    fi
-	fi
+          # Run hook scripts; ignore errors.
+          export UM_DEVICE="$DEVNAME"
+          export UM_MOUNTPOINT="$mountpoint"
+          export UM_FILESYSTEM="$fstype"
+          export UM_MOUNTOPTIONS="$options"
+          export UM_VENDOR="$vendor"
+          export UM_MODEL="$model"
+          log info "executing command: run-parts /etc/usbmount/mount.d"
+          run-parts /etc/usbmount/mount.d || :
+        else
+          # No suitable mount point found.
+          log warning "no mountpoint found for $DEVNAME"
+          exit 1
+        fi
+      fi
     fi
-elif [ "$1" = remove ]; then
+  elif [ "$1" = remove ]; then
 
     # A block or partition device has been removed.
     # Test if it is mounted.
     while read device mountpoint fstype remainder; do
-	if [ "$DEVNAME" = "$device" ]; then
-	    # If the mountpoint and filesystem type are maintained by
-	    # this script, unmount the filesystem.
-	    if in_list "$mountpoint" "$MOUNTPOINTS" &&
-		in_list "$fstype" "$FILESYSTEMS"; then
-		log info "executing command: umount -l $mountpoint"
-		umount -l "$mountpoint"
+      if [ "$DEVNAME" = "$device" ]; then
+        # If the mountpoint and filesystem type are maintained by
+        # this script, unmount the filesystem.
+        if in_list "$mountpoint" "$MOUNTPOINTS" &&
+          in_list "$fstype" "$FILESYSTEMS"; then
+        log info "executing command: umount -l $mountpoint"
+        umount -l "$mountpoint"
 
-		# Run hook scripts; ignore errors.
-		export UM_DEVICE="$DEVNAME"
-		export UM_MOUNTPOINT="$mountpoint"
-		export UM_FILESYSTEM="$fstype"
-		log info "executing command: run-parts /etc/usbmount/umount.d"
-		run-parts /etc/usbmount/umount.d || :
-	    fi
-	    break
-	fi
-    done < /proc/mounts
+        # Run hook scripts; ignore errors.
+        export UM_DEVICE="$DEVNAME"
+        export UM_MOUNTPOINT="$mountpoint"
+        export UM_FILESYSTEM="$fstype"
+        log info "executing command: run-parts /etc/usbmount/umount.d"
+        run-parts /etc/usbmount/umount.d || :
+      fi
+      break
+    fi
+  done < /proc/mounts
 else
-    log err "unexpected: action '$1'"
-    exit 1
+  log err "unexpected: action '$1'"
+  exit 1
 fi
 
 log debug "usbmount execution finished"
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.